Package org.osgi.annotation.bundle

# Class Requirement.Resolution

java.lang.Object
org.osgi.annotation.bundle.Requirement.Resolution

Enclosing class:
  `Requirement`

public static final class Requirement.Resolution extends Object
Resolution for this requirement.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MANDATORY`
A mandatory requirement forbids the bundle to resolve when the requirement is not satisfied.
`static final String`
`OPTIONAL`
An optional requirement allows a bundle to resolve even if the requirement is not satisfied.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MANDATORY

public static final String MANDATORY
A mandatory requirement forbids the bundle to resolve when the requirement is not satisfied.

See Also:
  - Constant Field Values

### OPTIONAL

public static final String OPTIONAL
An optional requirement allows a bundle to resolve even if the requirement is not satisfied.

See Also:
  - Constant Field Values